package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.model.Module;

@RemoteServiceRelativePath("modules")
public interface ModuleService extends RemoteService {

    /**
     * Returns the list of available modules of a user
     *
     * @param locale The locale used for the request
     * @return a String array of all available modules
     *
     */
    public Module[] list(String locale);
}

// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 tw=80 :
